Module javafx.graphics
Package javafx.css

## Class Declaration

- java.lang.Object
- - javafx.css.Declaration

-     public final class Declaration
      extends Object

  Since:
    9

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | One declaration is the equal to another regardless of the Rule to which the Declaration belongs.
    `ParsedValue` | `getParsedValue()` |
    `String` | `getProperty()` |
    `Rule` | `getRule()` |
    `int` | `hashCode()` |
    `boolean` | `isImportant()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getParsedValue

          public ParsedValue getParsedValue()

      Returns:
        ParsedValue contains the parsed declaration.

    - #### getProperty

          public String getProperty()

      Returns:
        The CSS property name

    - #### getRule

          public Rule getRule()

      Returns:
        The Rule to which this Declaration belongs.

    - #### isImportant

          public final boolean isImportant()

    - #### equals

          public boolean equals​(Object obj)

      One declaration is the equal to another regardless of the Rule to which the Declaration belongs. Only the property, value and importance are considered.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`